
function delta = ODEWithoutcRelDownregCurve(y,x,options,v)
    %IRF, Blimp, Pax, Bcl, AID, cRel
    delta=zeros(size(x));
    
    s=v(1,1);k_x=v(1,2);n_x=v(1,3);K_a=v(1,4);e_x=v(1,5);
    K_r=v(1,6);n_r=v(1,7);
    b=v(1,8);
    a=x(2);
    cRel=x(6);
    RelA=x(7);
    r=0;
    IRFExpFluxActivator=((s/3)*k_x*a^n_x)/((s*K_a)^n_x+a^(n_x))+e_x;
    IRFExpFluxcRel=(((s/(4*10))*k_x*cRel^n_x)/((s*K_a)^n_x+cRel^(n_x)));
    IRFExpFluxRelA=(((s/(4*10))*k_x*RelA^n_x)/((s*K_a)^n_x+RelA^(n_x)));
    IRFExpFluxRepressor=((K_r^n_r)/(K_r^n_r+r^n_r));
    IRFDegFlux=b*x(1);
    
    s=v(2,1);k_x=v(2,2);n_x=v(2,3);K_a=v(2,4);e_x=v(2,5);
    K_r=v(2,6);n_r=v(2,7);
    b=v(2,8);
    a=x(1);
    r=x(4);
    RelA=x(7);
    BlimpExpFluxActivator=((s*k_x*a^n_x)/((s*K_a)^n_x+a^(n_x)));
    BlimpExpFluxRelA=((s*k_x*RelA^n_x)/((s*K_a)^n_x+RelA^(n_x)));
    BlimpExpFluxRepressor=((K_r^n_r)/(K_r^n_r+r^n_r));
    BlimpDegFlux=b*x(2);
    
    s=v(3,1);k_x=v(3,2);n_x=v(3,3);K_a=v(3,4);e_x=v(3,5);
    K_r=v(3,6);n_r=v(3,7);
    b=v(3,8);
    r=x(2);
    a=0;
    PaxExpFluxActivator=e_x;
    PaxExpFluxRepressor=((K_r^n_r)/(K_r^n_r+r^n_r));
    PaxDegFlux=b*x(3);
    
    s=v(4,1);k_x=v(4,2);n_x=v(4,3);K_a=v(4,4);e_x=v(4,5);
    K_r=v(4,6);n_r=v(4,7);
    b=v(4,8);
    a=x(3);
    cRel=x(6);
    r1=x(1);
    r2=x(2);
    BclExpFluxActivator=((s*k_x*a^n_x)/((s*K_a)^n_x+a^(n_x)));
    BclExpFluxcRel=((s*k_x*cRel^n_x)/((s*K_a)^n_x+cRel^(n_x)));
    BclExpFluxRepressor=((K_r^n_r)/(K_r^n_r+r1^n_r+r2^n_r));
    BclDegFlux=b*x(4);
    
    s=v(5,1);k_x=v(5,2);n_x=v(5,3);K_a=v(5,4);e_x=v(5,5);
    K_r=v(5,6);n_r=v(5,7);
    b=v(5,8);
    a=x(1)*(x(3)^2);
    cRel=x(6);
    RelA=x(7);
    r=0;
    AidExpFluxActivator=((s*k_x*a^n_x)/((s*K_a)^n_x+a^(n_x)));
    AidExpFluxcRel=((s*k_x*cRel^n_x)/((s*K_a)^n_x+cRel^(n_x)));
    AidExpFluxRelA=((s*k_x*RelA^n_x)/((s*K_a)^n_x+RelA^(n_x)));
    AidExpFluxRepressor=((K_r^n_r)/(K_r^n_r+r^n_r));
    AidDegFlux=b*x(5);
    
    
    s=v(6,1);k_x=v(6,2);n_x=v(6,3);K_a=v(6,4);e_x=v(6,5);
    K_r=v(6,6);n_r=v(6,7);
    b=v(6,8);
    r=x(2);
    cRelExpFluxActivator=e_x;
    cRelExpFluxRepressor=((K_r^n_r)/(K_r^n_r+r^n_r));
    cRelDegFlux=b*x(6);

    s=v(7,1);k_x=v(7,2);n_x=v(7,3);K_a=v(7,4);e_x=v(7,5);
    K_r=v(7,6);n_r=v(7,7);
    b=v(7,8);
    r=0;
    relAExpFluxActivator=e_x;
    relAExpFluxRepressor=((K_r^n_r)/(K_r^n_r+r^n_r));
    relADegFlux=b*x(7);    
    
    deltaIRF=(IRFExpFluxcRel+IRFExpFluxRelA+IRFExpFluxActivator)*IRFExpFluxRepressor-IRFDegFlux;
     deltaBlimp=(BlimpExpFluxActivator+BlimpExpFluxRelA)*BlimpExpFluxRepressor+-BlimpDegFlux;    
     deltaPax=PaxExpFluxActivator*PaxExpFluxRepressor-PaxDegFlux;
     deltaBcl=(BclExpFluxActivator+BclExpFluxcRel)*BclExpFluxRepressor-BclDegFlux;
     deltaAid=(AidExpFluxActivator+AidExpFluxcRel+AidExpFluxRelA)*AidExpFluxRepressor-AidDegFlux;
    deltacRel=cRelExpFluxActivator-cRelDegFlux;
    deltaRelA=relAExpFluxActivator*relAExpFluxRepressor-relADegFlux;


    
    delta=[deltaIRF;...
        deltaBlimp;...
        deltaPax;...
        deltaBcl;...
        deltaAid;...
        deltacRel;...
        deltaRelA];
        

end